View Issue Details

IDProjectCategoryView StatusLast Update
14403Feature requests[All Projects] Import/Exportpublic2019-07-13 18:54
ReporterbismarkAssigned ToLouisGac 
PrioritynoneSeverityfeature 
Status feedbackResolutionreopened 
Product Version 
Target VersionFixed in Version 
Summary14403: Survey Export sorting by question_order
Description

I had to edit a survey export file (.lss) manually for velocity reasons and found out that the questions are sorted by qid instead of question_order.

TagsNo tags attached.

Relationships

related to 14944 assignedDenisChenu Development  Adding id and related_id in TSV export make it complicated to edit 

Activities

bismark

bismark

2019-01-29 16:32

reporter   ~50337

...test

pkolodz

pkolodz

2019-03-24 11:16

reporter   ~51110

It seems similar behavior is with https://manual.limesurvey.org/Tab_Separated_Value_survey_structure export. So questions are exported in a different order than then in questionnaire. On below picture programmed order is: K01..K02, K03, K16, K17...., while in the file is K01, K11, K17..... And there is no any order column available.



qnr_order.png (44,494 bytes)
qnr_order.png (44,494 bytes)
DenisChenu

DenisChenu

2019-05-27 19:39

developer   ~52122

I think it's an issue in TSV, but not in LSS.

TSV is made for editing …

pkolodz

pkolodz

2019-05-27 20:11

reporter   ~52124

Yes, this applies to TSV, but few versions ago it worked well. So taking TSV I could generate list of questions and its responses just using order in that table. Now it is difficult. Is there any chance to fix it?

DenisChenu

DenisChenu

2019-05-28 11:08

developer   ~52125

Currently TSV order is broken ? This is really a big issue …

See related discussion about the 2 new columns too : https://bugs.limesurvey.org/view.php?id=14944

DenisChenu

DenisChenu

2019-05-28 11:10

developer   ~52126

@pkolodz : can you report a specific issue about TSV order with

  1. A sample lss question with not more than 5 questions
  2. The TSV file
  3. The lss done with TSV import

please :)

DenisChenu

DenisChenu

2019-07-13 18:54

developer   ~52868

@pkolodz : can you provide a sample survey ?

Issue History

Date Modified Username Field Change
2019-01-07 15:55 bismark New Issue
2019-01-10 15:09 LouisGac Assigned To => LouisGac
2019-01-10 15:09 LouisGac Status new => closed
2019-01-10 15:09 LouisGac Resolution open => no change required
2019-01-29 16:32 bismark Status closed => feedback
2019-01-29 16:32 bismark Resolution no change required => reopened
2019-01-29 16:32 bismark Note Added: 50337
2019-03-24 11:16 pkolodz File Added: qnr_order.png
2019-03-24 11:16 pkolodz Note Added: 51110
2019-05-27 19:39 DenisChenu Note Added: 52122
2019-05-27 20:11 pkolodz Note Added: 52124
2019-05-28 11:08 DenisChenu Note Added: 52125
2019-05-28 11:08 DenisChenu Relationship added related to 14944
2019-05-28 11:10 DenisChenu Note Added: 52126
2019-07-13 18:54 DenisChenu Note Added: 52868